{% extends 'admin.html.twig' %}

{% block title %}Modifier votre  Mot de passe {{ parent() }} {% endblock %}

{% block body %}
 <div class="row">
                  

                    <div class="col-12">
                        <div class="block  table-block mb-4">
                            <div class="block-heading">
                                <h5>Modifier  votre Mot de passe  </h5>
                               
                                
                            </div>

                            <div class="row">
                            <div class="col-12" >

                               {% for message in app.session.flashbag.get('ajout') %}
                                     
                                <div class="alert alert-success" role="alert">
                                    {{ message }}
                                </div>

                                {% endfor %}

                                  {% for message in app.session.flashbag.get('error') %}
                                     
                                <div class="alert alert-danger" role="alert">
                                    {{ message }}
                                </div>

                                {% endfor %}
                           
                             {{ form_start(form) }}
                               
                             <div class="form-row">
                            
                              
                                <div class="form-group col-md-4">
                                
                                {{ form_label(form.current_password, 'Votre Mot de passe actuel ', {'label_attr': {'class': ''}}) }}
                                {{ form_widget(form.current_password, {'attr': {'class': 'form-control' , 'placeholder' : 'Votre Mot de passe actuel' } }) }}
                                {{ form_errors(form.current_password) }}
                               </div>
                                <div class="form-group col-md-4">
                                
                                {{ form_label(form.password_edit.first, 'Nouveau Mot de passe', {'label_attr': {'class': ''}}) }}
                                {{ form_widget(form.password_edit.first, {'attr': {'class': 'form-control' , 'placeholder' : 'Mot de passe' } }) }}
                                {{ form_errors(form.password_edit.first) }}
                               </div>
                                <div class="form-group col-md-4">
                                
                                {{ form_label(form.password_edit.second, 'Répété le nouveau  Mot de passe', {'label_attr': {'class': ''}}) }}
                                {{ form_widget(form.password_edit.second, {'attr': {'class': 'form-control' , 'placeholder' : 'Répété le Mot de passe' } }) }}
                                {{ form_errors(form.password_edit.second) }}
                               </div>
                            
                            </div>
                              
                                <hr>
                              

                                   <div class="btn-group record_actions">

                                  
                                     <a class="btn btn-inline btn-info" href="{{ path('user_admin_profil' ) }}">
                                            <i class="fa fa-chevron-circle-left"></i> Retour
                                        </a>

                                        <button class="btn btn-primary" type="submit">Valider</button>
                                    </div>
                             {{ form_end(form) }}

                             </div>

                            </div>

                        </div>
                    </div>

                </div>
{% endblock %}
